Package ij.plugin

# Class JpegWriter

java.lang.Object
ij.plugin.JpegWriter

All Implemented Interfaces:
  `ij.plugin.PlugIn`

public class JpegWriter extends Object implements ij.plugin.PlugIn
The File/Save As/Jpeg command (FileSaver.saveAsJpeg() method) uses this plugin to save images in JPEG format.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_QUALITY`

## Constructor Summary

Constructors
Constructor
Description
`JpegWriter()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getQuality()`
Deprecated.
replaced by FileSaver.getJpegQuality()
`void`
`run(String arg)`
`static String`
`save(ij.ImagePlus imp, String path, int quality)`
Thread-safe method.
`static void`
`setQuality(int jpegQuality)`
Deprecated.
replaced by FileSaver.setJpegQuality()

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_QUALITY

public static final int DEFAULT_QUALITY

See Also:
  - Constant Field Values

## Constructor Details

### JpegWriter

public JpegWriter()

## Method Details

### run

public void run(String arg)

Specified by:
  `run` in interface `ij.plugin.PlugIn`

### save

public static String save(ij.ImagePlus imp, String path, int quality)
Thread-safe method.

### setQuality

public static void setQuality(int jpegQuality)
Deprecated.
replaced by FileSaver.setJpegQuality()

### getQuality

public static int getQuality()
Deprecated.
replaced by FileSaver.getJpegQuality()